<script>
<!--
// Aufsplittung des HTML-Parameterstrings
var myHref = self.location.href;
var myParam = unescape(self.location.search);
var myFile = "";
var myLink = "";
var mySymbol = "";
var paramarray = new Array();
var StBel_E300_DIWA5_FBIO = "";
var StBel_E300_DIWA5_FBIOstecker = "";
var StBel_E300_DIWA5_FBIOpin = "";
var StBel_E300_DIWA5_FBIOcol = "";

var ParamExists = "no";

// Dateinamen ermitteln, wenn kein Parameterstring vorhanden
myFile = myHref.substring(myHref.lastIndexOf("/")+1,myHref.length);

// Dateinamen ermitteln, wenn Parameterstring vorhanden
// Setzen eines Merkers, ob Paramstring übergeben oder nicht
if(myParam.charAt(0) == "?")
{
	myFile = myFile.substring(0,myFile.lastIndexOf("?"));
	ParamExists = "yes";
}

// Daten dieser Seite ermitteln, für Link zum Partnerfehler
var myFOrt = myFile.slice(0,4);
var myFArt = myFile.slice(4,6);
var mySprache = myFile.slice(7,9);

// Array init
for(i=0; i<=2; i++)
{
	paramarray[i] = "";
}

if(ParamExists == "yes")
{
	paramliste = unescape(myParam.substring(1,myParam.length));
	paramarray=paramliste.split("&");

	// String enthält Partnerseiten-Info
	if(paramarray[0] != "" && paramarray[1] != "")
	{
		if(paramarray[0] == myFArt)
		{
			myLink = myFOrt + paramarray[1] + "_" + mySprache + ".htm";
			mySymbol = "f02.gif";
		}
		if(paramarray[1] == myFArt)
		{
			myLink = myFOrt + paramarray[0] + "_" + mySprache + ".htm";
			mySymbol = "f01.gif";
		}
	}

	// FBIO ermitteln
	StBel_E300_DIWA5_FBIO = paramarray[2];
	// Stecker und Pin ermitteln
	StBel_E300_DIWA5_FBIOstecker = StBel_E300_DIWA5_FBIO.charAt(0);
	StBel_E300_DIWA5_FBIOpin = StBel_E300_DIWA5_FBIO.slice(4);

	// wenn korrektes Format, dann an Arrays anhängen
	if((StBel_E300_DIWA5_FBIO.length > 4) && (StBel_E300_DIWA5_FBIO.charAt(2)=="|"))
	{
		StBel_E300_DIWA5_Signals.push(StBel_E300_DIWA5_FBIO);
	}
}

// eine universelle Funktion zum Öffnen eines Fensters, z.B. für Taschenrechner oder eine ext. Homepage (Internet-Support)
function winopen(breite,hoehe,datei)
{
	open(datei,"AladinWin","width="+breite+",height="+hoehe+",menubar=no,location=no,status=no,toolbar=no,resizable=no");
}

// in der History einen Schritt rückwärts gehen
// der Reload der Seite ist notwendig, da nur dann animierte GIFs wieder anlaufen.
function StepBack()
{
	window.history.back();
}

// Seite ausdrucken
// der Reload der Seite ist notwendig, da nur dann animierte GIFs wieder anlaufen.
function PrintWindow()
{
	window.print();
}

// Seite neu laden
function PageReload()
{
	location.reload();
}

-->
</script>
